<?php

/*
Plugin Name: فرم پرداخت درگاه پی استار برای وردپرس
Plugin URI: http://paystar.ir
Description: <b> فرم پرداخت درگاه پی استار برای وردپرس </b>
Version: 1.0
Author: ماژول بانک
Author URI: https://www.modulebank.ir
 */

load_plugin_textdomain('paystar', false, dirname(plugin_basename(__FILE__)).'/languages/');

function paystar_menu()
{
	add_menu_page(__('PayStar Payment Gateway', 'paystar'), __('PayStar Payment Gateway', 'paystar'), 'manage_options', 'paystar/setting.php', 'paystar_menupage', plugin_dir_url( __FILE__ ).'/images/logo.png');
	add_submenu_page('paystar/setting.php', __('PayStar Setting', 'paystar'), __('PayStar Setting', 'paystar'), 'manage_options', 'paystar/setting.php', 'paystar_menupage');
}
add_action('admin_menu', 'paystar_menu');

function paystar_menupage()
{
	if (!current_user_can('manage_options'))
	{
		wp_die(__('You do not have sufficient permissions to access this page.', 'paystar'));
	}
	include_once('setting.php');
}

function paystar_form()
{
	global $current_user;
	ob_start();
	if (isset($_POST['submit_payment']) && $_POST['submit_payment'])
	{
		if($_POST['payer_name'] && $_POST['payer_email'] && $_POST['payer_mobile'] && $_POST['payer_price'] && $_POST['description_payment'])
		{
			require_once(dirname(__FILE__) . '/paystar_payment_helper.class.php');
			$p = new PayStar_Payment_Helper(get_option('terminal'));
			$r = $p->paymentRequest(array(
					'amount'      => intval(ceil($_POST['payer_price'])),
					'order_id'    => time(),
					'name'        => $_POST['payer_name'],
					'mail'        => $_POST['payer_email'],
					'phone'       => $_POST['payer_mobile'],
					'description' => $_POST['description_payment'],
					'callback'    => 'http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'],
				));
			if ($r)
			{
				add_option('paystar_price_' . $r, $_POST['payer_price']);
				update_option('paystar_price_' . $r, $_POST['payer_price']);
				$p->redirect();
			}
			else
			{
				echo '<p class="error-payment">' . $p->error . '</p>';
			}
		}
		else
		{
			echo '<p class="error-payment">' . __('Error! Please Complate all field.', 'paystar') . '</p>';
		}
	}
	elseif (isset($_POST['status'],$_POST['order_id'],$_POST['ref_num']))
	{
		$amount = get_option('paystar_price_' . $_POST['ref_num']);
		require_once(dirname(__FILE__) . '/paystar_payment_helper.class.php');
		$p = new PayStar_Payment_Helper(get_option('terminal'));
		$r = $p->paymentVerify(array_merge($_POST, array('amount' => $amount)));
		if ($r)
		{
			delete_option('paystar_price_' . $_POST['ref_num']);
			echo '<p class="success-payment">' . sprintf(__('Transaction was successful. Your Tracking Number: %s', 'paystar'), $p->txn_id) . '</p>';
		}
		else
		{
			echo '<p class="error-payment">' . $p->error . '</p>';
		}
	}
	include_once('includes/form.php');
	$output = ob_get_contents();
	ob_end_clean();
	return $output;
}
add_shortcode('paystar', 'paystar_form');

?>